"{ Package: 'cvut:stx/goodies/libsvn' }"

"{ NameSpace: SVN }"

XMLObject subclass:#RevisionLogEntry
	instanceVariableNames:'revision author date message changedPaths'
	classVariableNames:''
	poolDictionaries:''
	category:'SVN-Repository'
!

!RevisionLogEntry class methodsFor:'documentation'!

version_SVN
    ^'$Id$'
! !

!RevisionLogEntry methodsFor:'accessing'!

author
    ^ author

    "Created: / 19-04-2008 / 12:26:50 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

author:something
    author := something.

    "Created: / 19-04-2008 / 12:26:50 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

changedPaths
    ^ changedPaths ? #()

    "Modified: / 24-06-2009 / 15:10:48 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

date
    ^ date

    "Created: / 19-04-2008 / 12:26:50 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

date:something
    date := something.

    "Created: / 19-04-2008 / 12:26:50 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

message
    ^ message

    "Created: / 19-04-2008 / 12:26:50 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

message:something
    message := something.

    "Created: / 19-04-2008 / 12:26:50 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

revision
    ^ revision

    "Created: / 19-04-2008 / 12:26:50 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

revision:something
    revision := something.

    "Created: / 19-04-2008 / 12:26:50 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!RevisionLogEntry methodsFor:'instance creation'!

readFromXml: xml 
    revision := Revision number: xml @ 'revision'.
    author := (xml / 'author') characterData.
    date := Timestamp readISO8601From: (xml / 'date') characterData.
    message := (xml / 'msg') characterData.
    changedPaths := (xml / 'paths' / 'path') 
                collect: [:e | WCActionNotification readFromXml: e ].

    "Created: / 11-04-2008 / 13:27:47 / Jan Vrany <vranyj1@fel.cvut.cz>"
    "Modified: / 18-08-2009 / 14:38:48 / Jan Vrany <vranyj1@fel.cvut.cz>"
    "Modified: / 27-08-2009 / 09:30:55 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!RevisionLogEntry class methodsFor:'documentation'!

version
    ^ '$Header$'
! !
